Bug 964025 - [Indic] Choosing Indic language selection results in wrong keyboard (non-ASCII) setup
[Indic] Choosing Indic language selection results in wrong keyboard (non-ASCI...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 01:23 EDT by Parag Nemade
Modified: 2013-08-28 13:37 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 13:37:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-05-17 01:23:55 EDT
Description of problem:
Install latest F19 RC4 image. Choose any Indic language and it will choose respective respective xkb symbol map from /usr/share/X11/xkb/symbols/in

Version-Release number of selected component (if applicable):
anaconda-19.25-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1.Choose any Indic language
2. keyboard is not ASCII
3.
  
Actual results:
For all Indic languages xkb keymap is set in their respective language script

Expected results:
For all Indic languages xkb keymap should be set as in(eng)

Additional info:
Comment 1 Parag Nemade 2013-05-17 01:31:06 EDT
sorry I mean F19 beta TC4
Comment 2 David Shea 2013-07-18 13:24:15 EDT
Parag, can you give a specific example? If the "Set keyboard to default layout for selected language" checkbox is not checked, the keymap will be left at the default. If the box is checked, the keymap will be changed to the default for the (non-English) language selected. Is there a particular case where this does not work, or do you not think this is the correct behavior?

Note You need to log in before you can comment on or make changes to this bug.